GLOBAL.setmetatable(env, {
    __index = function(t, k)
        return GLOBAL.rawget(GLOBAL, k)
    end
})


Assets = {Asset("ANIM", "anim/ui_cookpot_1x1.zip")}


local containers = require("containers")
local params = containers.params

params.miner = 
{
    widget =
    {
        slotpos =
        {
            Vector3(0,   -18,  0),--0,   32 + 4,  0
        },
        slotbg =
        {
            {  image = "slingshot_ammo_slot.tex" }, --image = "slingshot_ammo_slot.tex"
        },
        animbank = "ui_cookpot_1x1",
        animbuild = "ui_cookpot_1x1",
        --[[animbank = "ui_cookpot_1x2",
        animbuild = "ui_cookpot_1x2",]]
        pos = Vector3(115, 45, 0), --Vector3(0, 15, 0),
    },
    usespecificslotsforitems = true,
    type = "hand_inv",
}

function params.miner.itemtestfn(container, item, slot)
    return item:HasTag("lightbattery")
end


--[[local function minerupdate(inst)
    inst.components.fueled:InitializeFuelLevel(468)
end]]





AddPrefabPostInit("minerhat", function(inst)
    if not TheWorld.ismastersim then
        return inst
    end
    inst:AddComponent("container")
    inst.components.container:WidgetSetup("miner")
    
    inst:AddComponent("preserver")
    inst.components.preserver:SetPerishRateMultiplier(GetModConfigData("Spoilage Rate"))--GetModConfigData("Preserver")

    --inst:AddComponent("updatelooper")
    --inst.components.updatelooper:AddOnWallUpdateFn(minerupdate)
    
end)


